git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [CAMEL 3] Java 8 and Java 11 discussion


Hi,

I think for the average the enterprise JDK user they may still use JDK
8 for a very long time.
If we start the Camel 3.x to support JDK 11,  it doesn't mean that we
have to drop the backward compatibility of JDK 8.
Spring has good backward compatibility for JDK 6,7,8[1]. It could be
useful if we can still provide the backward compatibility in Camel 3.x
and if we cannot do that we need to drop a line for it (it depends how
may new feature of JDK 11 we use).

It could be great, if we have a clean roadmap of JDK8, JDK11 support time.

[1]https://spring.io/blog/2015/04/03/how-spring-achieves-compatibility-with-java-6-7-and-8

Willem Jiang

Twitter: willemjiang
Weibo: 姜宁willem
On Fri, Dec 14, 2018 at 10:03 PM Andrea Cosentino
<ancosen1985@xxxxxxxxx.invalid> wrote:
>
> Hello,
>
> In the other thread about moving the master branch to 3.x, we started a discussion around the Java supported version for Camel 3.
>
> Lets discuss this argument here.
>
> Thanks.
>
> --
> Andrea Cosentino
> ----------------------------------
> Apache Camel PMC Chair
> Apache Karaf Committer
> Apache Servicemix PMC Member
> Email: ancosen1985@xxxxxxxxx
> Twitter: @oscerd2
> Github: oscerd